{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/select2.min.css' %}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="/resources/demos/style.css">
    <title>{% block title %} TodoApp {% endblock title %}</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container">
    <a class="navbar-brand" href="/">TodoApp</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample07" aria-controls="navbarsExample07" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExample07">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="dropdown07" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Menu</a>
          <div class="dropdown-menu" aria-labelledby="dropdown07">
            <a class="dropdown-item" href="{% url 'tasks:add_category' %}">Adicionar categoria</a>
            <a class="dropdown-item" href="{% url 'tasks:list_categories' %}">Listar categorias</a>
            <a class="dropdown-item" href="{% url 'tasks:add_task' %}">Adicionar tarefa</a>
            <a class="dropdown-item" href="{% url 'tasks:tasks_list' %}">Listar tarefas</a>
          </div>
        </li>
      </ul>
      <form class="form-inline my-2 my-md-0" action="{% url 'core:search_tasks' %}" style="margin-right:10px" autocomplete="off">
        <input class="form-control" name="query" type="text" placeholder="Digite o termo da busca" aria-label="Search" style="margin-right:10px">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Buscar</button>
      </form>
      {% if user.is_authenticated %}
        <ul class="navbar-nav">
          <li class="nav-item">
            {% if user.profile.photo %}
              <img src="{{ user.profile.photo.url }}" class="rounded-circle" width="40" height="40">
            {% else %}
              <img src="{% static 'img/user.png' %}" class="rounded-circle" width="40" height="40">
            {% endif %}
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="dropdown07" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">{{ user.get_full_name|default:user.username }}</a>
            <div class="dropdown-menu" aria-labelledby="dropdown07">
              <a class="dropdown-item" href="{% url 'accounts:list_user_profile' %}">Perfil</a>
              <a class="dropdown-item" href="{% url 'accounts:user_change_password' %}">Trocar senha</a>
              <a class="dropdown-item" href="{% url 'accounts:change_user_information' user.username %}">Outras informações</a>
              <a class="dropdown-item" href="{% url 'accounts:user_logout' %}">Sair</a>
            </div>
          </li>
        </ul>
      {% endif %}
    </div>
  </div>
</nav>

    {% block body %}

    
    {% endblock body %}

    <script src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.min.js' %}"></script>
    <script src="{% static 'js/select2.min.js' %}"></script>
    <script src="{% static 'js/jquery.mask.min.js' %}"></script>
    <script src="{% static 'js/mask.js' %}"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script>
        $(document).on('click', '.confirm-delete', function() {
          $('#confirmDeleteModal').attr('caller-id', $(this).attr('id'));
        });
        $(document).on('click', '#confirmDeleteButtonModal', function() {
          var caller = $('#confirmDeleteButtonModal').closest('.modal').attr('caller-id');
          window.location = $('#'.concat(caller)).attr('href');
        });
        $(function() {
          $('#id_end_date').datepicker(
            {
              dateFormat: "dd/mm/yy",
              dayNamesMin: ["Dom", "Seg", "Ter", "Qua", "Qui", "Sex", "Sáb"],
              monthNames: ["Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"]
            }
          );
        });
        $(document).ready(function() {
          $('#id_category').select2();
        });
  </script>
</body>
</html>